uniform float pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, pixCoordYOffset-gl_FragCoord.y);
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = 1.0 - pos.y;
    return texture2D(img, pos);
}
uniform sampler2D mapImg;
uniform sampler2D origImg;
void main() {
vec4 off = jsl_sample(mapImg, gl_TexCoord[0].st);
vec2 loc;
loc.x = gl_TexCoord[1].st.x + off.x - 0.5;
loc.y = gl_TexCoord[1].st.y + off.y - 0.5;
gl_FragColor = jsl_sample(origImg, loc);
}
